Bug 566047 (CVE-2010-0159) - CVE-2010-0159 Mozilla crashes with evidence of memory corruption (MFSA 2010-01)
Summary: CVE-2010-0159 Mozilla crashes with evidence of memory corruption (MFSA 2010-01)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0159
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 566693
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-17 00:34 UTC by Vincent Danen
Modified: 2019-09-29 12:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-20 18:30:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0112 normal SHIPPED_LIVE Critical: firefox security update 2010-02-17 21:14:37 UTC
Red Hat Product Errata RHSA-2010:0113 normal SHIPPED_LIVE Critical: seamonkey security update 2010-02-17 21:54:18 UTC
Red Hat Product Errata RHSA-2010:0153 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-03-17 12:38:49 UTC
Red Hat Product Errata RHSA-2010:0154 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-03-17 13:22:56 UTC

Description Vincent Danen 2010-02-17 00:34:26 UTC
Mozilla developers and community members identified and fixed several stability
bugs in the browser engine used in Firefox and other Mozilla-based products.
Some of these crashes showed evidence of memory corruption under certain
circumstances and we presume that with enough effort at least some of these
could be exploited to run arbitrary code.

Henri Sivonen, Boris Zbarsky, Bob Clary, Martijn Wargers, and Paul Nickerson
reported crashes in the browser engine which affected both Firefox 3 and
Firefox 3.5.

Comment 2 errata-xmlrpc 2010-02-17 21:15:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0112 https://rhn.redhat.com/errata/RHSA-2010-0112.html

Comment 3 errata-xmlrpc 2010-02-17 21:54:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2010:0113 https://rhn.redhat.com/errata/RHSA-2010-0113.html

Comment 4 Fedora Update System 2010-02-18 10:07:47 UTC
firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12

Comment 5 Fedora Update System 2010-02-18 15:18:11 UTC
gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12

Comment 6 Fedora Update System 2010-02-18 15:27:33 UTC
gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12

Comment 7 Fedora Update System 2010-02-18 15:27:43 UTC
gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12

Comment 8 Fedora Update System 2010-02-18 15:30:07 UTC
galeon-2.0.7-20.fc12,gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/galeon-2.0.7-20.fc12,gnome-python2-extras-2.25.3-16.fc12,perl-Gtk2-MozEmbed-0.08-6.fc12.11,blam-1.8.5-22.fc12,gnome-web-photo-0.9-5.fc12,mozvoikko-1.0-8.fc12,firefox-3.5.8-1.fc12,xulrunner-1.9.1.8-1.fc12

Comment 9 Fedora Update System 2010-02-18 16:40:37 UTC
chmsee-1.0.1-15.fc11,epiphany-2.26.3-8.fc11,blam-1.8.5-18.fc11,pcmanx-gtk2-0.3.9-2.20100210svn.fc11,galeon-2.0.7-20.fc11,hulahop-0.4.9-12.fc11,eclipse-3.4.2-20.fc11,evolution-rss-0.1.4-10.fc11,gnome-web-photo-0.7-10.fc11,gnome-python2-extras-2.25.3-11.fc11,monodevelop-2.0-9.fc11,Miro-2.5.4-2.fc11,kazehakase-0.5.8-5.fc11,mozvoikko-0.9.7-0.11.rc1.fc11,google-gadgets-0.11.1-5.fc11,perl-Gtk2-MozEmbed-0.08-6.fc11.9,ruby-gnome2-0.19.3-6.fc11,yelp-2.26.0-11.fc11,epiphany-extensions-2.26.1-10.fc11,firefox-3.5.8-1.fc11,xulrunner-1.9.1.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/chmsee-1.0.1-15.fc11,epiphany-2.26.3-8.fc11,blam-1.8.5-18.fc11,pcmanx-gtk2-0.3.9-2.20100210svn.fc11,galeon-2.0.7-20.fc11,hulahop-0.4.9-12.fc11,eclipse-3.4.2-20.fc11,evolution-rss-0.1.4-10.fc11,gnome-web-photo-0.7-10.fc11,gnome-python2-extras-2.25.3-11.fc11,monodevelop-2.0-9.fc11,Miro-2.5.4-2.fc11,kazehakase-0.5.8-5.fc11,mozvoikko-0.9.7-0.11.rc1.fc11,google-gadgets-0.11.1-5.fc11,perl-Gtk2-MozEmbed-0.08-6.fc11.9,ruby-gnome2-0.19.3-6.fc11,yelp-2.26.0-11.fc11,epiphany-extensions-2.26.1-10.fc11,firefox-3.5.8-1.fc11,xulrunner-1.9.1.8-1.fc11

Comment 11 Fedora Update System 2010-02-20 00:12:55 UTC
seamonkey-2.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-02-20 00:13:57 UTC
firefox-3.5.8-1.fc11, xulrunner-1.9.1.8-1.fc11, chmsee-1.0.1-15.fc11, epiphany-2.26.3-8.fc11, blam-1.8.5-18.fc11, pcmanx-gtk2-0.3.9-2.20100210svn.fc11, galeon-2.0.7-20.fc11, hulahop-0.4.9-12.fc11, eclipse-3.4.2-20.fc11, evolution-rss-0.1.4-10.fc11, gnome-web-photo-0.7-10.fc11, gnome-python2-extras-2.25.3-11.fc11, monodevelop-2.0-9.fc11, Miro-2.5.4-2.fc11, kazehakase-0.5.8-5.fc11, mozvoikko-0.9.7-0.11.rc1.fc11, google-gadgets-0.11.1-5.fc11, perl-Gtk2-MozEmbed-0.08-6.fc11.9, ruby-gnome2-0.19.3-6.fc11, yelp-2.26.0-11.fc11, epiphany-extensions-2.26.1-10.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-02-20 00:28:17 UTC
firefox-3.5.8-1.fc12, xulrunner-1.9.1.8-1.fc12, gnome-python2-extras-2.25.3-16.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.11, blam-1.8.5-22.fc12, gnome-web-photo-0.9-5.fc12, mozvoikko-1.0-8.fc12, galeon-2.0.7-20.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Jason Roysdon 2010-02-20 07:00:15 UTC
Is Thunderbird 3.0.1 vulnerable to this?  The bug page at Mozilla says Thunderbird 3.0.2 is needed to fix it:
http://www.mozilla.org/security/announce/2010/mfsa2010-01.html

Comment 15 Fedora Update System 2010-02-26 17:40:47 UTC
thunderbird-3.0.2-1.fc12,sunbird-1.0-0.19.20090916hg.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/thunderbird-3.0.2-1.fc12,sunbird-1.0-0.19.20090916hg.fc12

Comment 16 Fedora Update System 2010-02-26 17:41:07 UTC
thunderbird-3.0.2-1.fc11,sunbird-1.0-0.14.20090715hg.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/thunderbird-3.0.2-1.fc11,sunbird-1.0-0.14.20090715hg.fc11

Comment 17 Fedora Update System 2010-03-02 00:56:17 UTC
thunderbird-3.0.2-1.fc12, sunbird-1.0-0.19.20090916hg.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-03-02 01:02:18 UTC
thunderbird-3.0.2-1.fc11, sunbird-1.0-0.14.20090715hg.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 errata-xmlrpc 2010-03-17 12:39:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0153 https://rhn.redhat.com/errata/RHSA-2010-0153.html

Comment 20 errata-xmlrpc 2010-03-17 13:25:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0154 https://rhn.redhat.com/errata/RHSA-2010-0154.html


Note You need to log in before you can comment on or make changes to this bug.